extends Node


@warning_ignore_start("unused_signal")
## Emitted when the room has transitioned.
signal room_changed(previous_room: StringName, next_room: StringName, waypoint: Waypoint)

## Emitted when the room's loopable state is toggled.
signal room_loop_toggled(enabled: bool, loop_size: Rect2i)
